paargs(1)

NAME
paargs - wrapper for paexec similar to xargs

SYNOPSIS
paargs [OPTIONS] <command> <args>

DESCRIPTION
paargs is a simple wrapper over paexec that simplifies use of paexec's capalities. The use of paargs is actually very similar to xargs. paargs runs paexec with the following options enabled by default:

•   -C -- for specifying command as free arguments,

•   -x -- for being xargs-like,

•   -l -- 0-based task number is included to the output of paargs, this allows one to reorder the sliced output,

•   -e -- for the same purposes as -l,

•   -g -- this flag allows analysis of command's exit status,

•   -md= -- disables task delimiter for -g mode enabled by default, as a result the whole line given on input is considered as a task.

OPTIONS

-h  Display this help.

-V  Display version.

-P nodes
    Same as -n in paexec.

-t transport
    Passed directly to paexec.

-c command
    Command with its arguments. By default, free arguments are used for setting command and its arguments.

-I replstr
    Execute command for each task, replacing one or more occurrences of replstr with the entire task.

-X  Passed directly to paexec.

-f  Flushes stdout after receiving an end-of-task line.

-0  Passed directly to paexec.

-Z timeout
    Passed directly to paexec.

-z  Passed directly to paexec.

-m arg
    Passed directly to paexec.

BUGS/FEEDBACK
Please send any comments, questions, bug reports etc. to me by e-mail or (even better) register them at sourceforge project home. Feature requests are also welcomed.

HOME
<http://sourceforge.net/projects/paexec>

SEE ALSO paexec(1)